<%@taglib prefix="cq" uri="http://www.day.com/taglibs/cq/1.0" %>
<%@taglib prefix="sling" uri="http://sling.apache.org/taglibs/sling/1.0" %>
<%--
  ~ ************************************************************************
  ~ ADOBE CONFIDENTIAL
  ~ __________________
  ~
  ~ Copyright 2015 Adobe Systems Incorporated
  ~ All Rights Reserved.
  ~
  ~ NOTICE:  All information contained herein is, and remains
  ~ the property of Adobe Systems Incorporated and its suppliers,
  ~ if any.  The intellectual and technical concepts contained
  ~ herein are proprietary to Adobe Systems Incorporated and its
  ~ suppliers and may be covered by U.S. and Foreign Patents,
  ~ patents in process, and are protected by trade secret or copyright law.
  ~ Dissemination of this information or reproduction of this material
  ~ is strictly forbidden unless prior written permission is obtained
  ~ from Adobe Systems Incorporated.
  ~ ************************************************************************
  --%>
<%@include file="/libs/fd/af/components/guidesglobal.jsp" %>
<%@ page import="com.adobe.aemds.guide.taglibs.GuideELUtils,
                 com.adobe.aemds.guide.utils.GuideUtils,
                 org.apache.sling.api.resource.Resource" %>
<cq:defineObjects/>
<%@page session="false" %>
<%
    String guideContainerPath = GuideELUtils.getGuideContainerPath(slingRequest, resource);
    Resource guideContainerResource = resourceResolver.resolve(guideContainerPath);
    String lang = GuideELUtils.getLocale(slingRequest, guideContainerResource);
 	
%>
<!DOCTYPE html>
<html lang="<%= lang %>">
<title><%= currentPage.getTitle() == null ? xssAPI.encodeForHTML(currentPage.getName()) : xssAPI.encodeForHTML(currentPage.getTitle()) %></title>
 <cq:include script="fallbackLibrary.jsp"/>
    <cq:include script="azureportal.jsp"/>

    
<%-- Adobe Target relevant clientlibs: --%>
<c:if test="<%=GuideUtils.isAdobeTargetConfigured(resource)%>">
    <sling:include path="contexthub" resourceType="granite/contexthub/components/contexthub"/>
    <%-- @TODO Remove cq.shared as this is a heavy library. Tracked via CQ-4219972 --%>
    <ui:includeClientLib categories="cq.shared"/>
    <cq:include script="/libs/cq/cloudserviceconfigs/components/servicelibs/servicelibs.jsp"/>
</c:if>
<cq:include script="afpagecontent.html"/>

</html>